DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Payment Form
  • Introduction
  • Getting Started
    • Create Account
    • Authentication & API Keys
    • Make your first API call
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
    • Get Bank List - FPX
    • Retrieve Payment Status
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
        POST
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Notification
    • Overview
    • Setup Notification URL
    • Retry Notification
    • Sample Notification - Global
    • Sample Notification - Cards
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
    • Signature
      • Signature - Global
        • Signature
      • Signature - Cards Payment API
        • Signature Component from Request Header
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
  1. Payment Form

Request Payment

POST
/credit-card/v1/payment-page
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com

Request

Header Params

Body Params application/json

Examples
{
    "order": {
        "amount": 10.21,
        "invoice_number": "INV-001",
        "callback_url": "https://doku.com/success?message=success",
        "failed_url": "https://doku.com/failed?message=failed",
        "auto_redirect": true,
        "descriptor": "BIILING-INV-0001",
        "currency": "MYR"
    },
    "customer": {
        "id": "CUST-001",
        "zip_code": "16455",
        "country": "MY",
        "name": "DOKU Merchant",
        "state": "Selangor",
        "city": "XYXYXY",
        "address": "Selangor, Malaysia",
        "phone": "+60192837465",
        "email": "merchant@doku.com"
    },
    "payment": {
        "type": "SALE"
    }
}

Responses

🟢200OK
application/json
Successful response
Bodyapplication/json

Example
{
    "order": {
        "invoice_number": "INV-0001",
        "currency": "MYR"
    },
    "credit_card_payment_page": {
        "url": "https://app-uat.doku.com/wt-frontend-transaction/dynamic-payment-page?signature=HMACSHA256%3DOvLsuQfoi%2FjMSKH%2Bq6csPeY2Da%2F6RrIE%2Fvbyb1yB9F8%3D&clientId=BRN-0206-1654673059955&invoiceNumber=TEST-SB-240918-0001&requestId=46952&transactionType=S"
    }
}
🟠400Bad Request
🔴500Server Error
Modified at 2026-02-05 16:11:28
Previous
Overview
Next
Check Three D Secure
Built with